---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Reference: Workers/Time off Entries
layout: subsection
---

## <a id="conref_common_service_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/common/<version>/<tenant>
```

Example:

```
https://yourTenantHostName.com/api/common/v1/gms
```

## <a id="refsyn_N10018_N10015_N10001"></a>Resource URI

Collection of time off entries for a specified worker:

```
/workers/{id}/timeOffEntries
```

<b>URI Parameters</b>

<table><thead><tr><th>URI Parameter</th><th>Description</th></tr></thead><tbody><tr><td><i>id</i></td><td>Worker reference. In place of an ID, you can use the word me to represent the current user.</td></tr></tbody></table><br/>

## <a id="section_N1005C_N10011_N10001"></a>Description

<i>Workers/Time Off Entries</i> is a collection of time off entries for a specified worker. You can only view the items permitted by the security profile of the current user.

To view the time off balances by plan for a worker, use the <i>Workers/Time Off Plans</i> resource.

To examine a summary of the time off balances for direct reports of a worker, use the <i>timeOffSummary</i> view of the Workers/Direct Reports subresource.

To see a summary of the time off balance for a worker, use the <i>timeOffSummary</i> view of the Workers resource.

<i>Workers/Time Off Entries</i> supports this method:

-   [GET Workers/Time off Entries](/wcp_docs/jas1380223719446.html#GET)


## <a id="GET"></a>GET Workers/Time off Entries

-   <b>Secured by:</b>

    <i>Self-Service: Time Off</i>

    <i>Worker Data: Time Off (Time Off)</i>

    <i>Worker Data: Time Off</i> (Time Off Balances Manager View)



The GET method returns time off entries for the specified worker. Workday doesn't return time off entries in the past.

No request body required or available for this method. Use these optional query parameters to page the results:

<table><thead><tr><th>Query Parameter</th><th>Description</th><th>Default</th><th>Maximum</th></tr></thead><tbody><tr><td><i>limit</i></td><td>Limit of object data entries included in a single response</td><td><i>20</i></td><td><i>100</i></td></tr><tr><td><i>offset</i></td><td>Offset to the first object in a collection to include in the response</td><td><i>0</i></td><td> </td></tr></tbody></table><br/>

The response body is in JSON format.

## <a id="section_N100FB_N10011_N10001"></a>GET Workers/Time off Entries Examples

This GET request retrieves the time off entries for the worker Logan McNeil (id=66faa65677834f0a9b586dd5645e9004):

```
GET /workers/66faa65677834f0a9b586dd5645e9004/timeOffEntries
```

The response is a collection of time off entries for the worker, in JSON format (this example displays only one-time off entry):

```
{
   "total": 3,
   "data": [   {
      "descriptor": "09/26/2013 - 8 Hours (Logan McNeil)",
      "id": "f9f3208f2fd5103833bb37d5e438025f",
      "timeOff":       {
         "descriptor": "PTO - Vacation",
         "id": "15fbcb5a5df7429bba082f6fdc42fb85",
         "href": "https://{Workday REST API Endpoint}/timeOffs/15fbcb5a5df7429bba082f6fdc42fb85",
         "plan":          {
            "descriptor": "PTO - Vacation Plan",
            "id": "1e610589cc464253bf74a4452f3a94e9"
         }
      },
      "date": "2013-09-26",
      "timeOffRequest":       {
         "descriptor": "Time Off Request: Logan McNeil",
         "id": "f9f3208f2fd5103833bb377df098025e",
         "href": "https://{Workday REST API Endpoint}/businessProcesses/f9f3208f2fd5103833bb377df098025e",
         "status": "Successfully Completed"
      },
      "unitOfTime":       {
         "descriptor": "Hours",
         "id": "c4dacbd56bca4a9a8950e8d3ed21bbdb"
      },
      "employee":       {
         "descriptor": "Logan McNeil",
         "id": "66faa65677834f0a9b586dd5645e9004",
         "href": "https://{Workday REST API Endpoint}/workers/66faa65677834f0a9b586dd5645e9004"
      },
      "units": "8"
   },
  ...
 ]
}
```

### Related Information

[Reference: Workers/Direct Reports](/wcp_docs/dan1370797992079.html)

[Reference: Workers/Time Off Plans](/wcp_docs/jas1382136318695.html)

[Reference: Workers](/wcp_docs/dan1370797991225.html)

